aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Pages: 1 [2]

Author Topic: flex issues  (Read 9083 times)

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: flex issues
« Reply #15 on: July 07, 2007, 09:31:59 AM »

Please try with today's tarball and execute manually: (replace 'flex' if necessary)

Code: [Select]
cd amule-cvs/src/
flex --header-file=./Scanner.h -o Scanner.cpp ./Scanner.l

If there is no error message, then it should work fine. I have versions 2.5.33 from feb 2006 and no problems at all.
Logged

lillesvamp

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 8
Re: flex issues
« Reply #16 on: July 07, 2007, 04:47:37 PM »

I tried that and it worked! I would have been even happier if the linking had worked as well ("collect2: ld returned 1 exit status") but I suppose that's off topic.
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: flex issues
« Reply #17 on: July 07, 2007, 07:03:01 PM »

Can you post this somewhere?

As Kry seems to be ultra-busy these days I might try to fix this as well.

btw: Can you build any recent aMule version on Mac? I'm searching for someone with Mac, the knowledge to build aMule and the will to test a (possible; already in cvs) fix for the boinc+aMule issue.
Logged

lillesvamp

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 8
Re: flex issues
« Reply #18 on: July 07, 2007, 08:21:21 PM »

If you mean post about the linking problem, there already seems to be a thread dedicated to that here:
http://forum.amule.org/index.php?topic=12676.0

If you mean posting a binary, well I haven't managed to make one yet.

Even if I enjoy compiling stuff from time to time, I don't really have the knowledge or patience to figure out what to do when it doesn't work, or how to make static or universal binaries for that matter.

I'm afriaid I'm not the best choice as an "offical provider" of Mac binaries.
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: flex issues
« Reply #19 on: July 07, 2007, 10:03:37 PM »

Well, I just need an "inofficial tester", no binaries. If you manage to get something running and are willing to install boinc, seti@home or something like this for testing a fix for an issue with these things, please contact me.
Logged

rpog

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 2
Re: flex issues
« Reply #20 on: July 10, 2007, 11:03:05 PM »

i was wondering, can anyone compile the latest cvs on windows?
i get the same error as previously posted:
Code: [Select]
./Scanner.l: In function `void LexFree()':
./Scanner.l:191: error: `yylex_destroy' undeclared (first use this function)
./Scanner.l:191: error: (Each undeclared identifier is reported only once for each function it appears in.)

the main problem here lies on the fact that MinGW's flex version is 2.5.4 and it doesn't support the --header-file flag as the "./configure " commands warns :
Code: [Select]
configure: Your flex version doesn't support --header-file flag. This is not critical, but an upgrade is recommended Obviously, it's critical... :-\
Also, there won't be a new version so soon like it says on the MinGW website : http://www.mingw.org/MinGWiki/index.php/flex

So if anyone can compile it on windows, could you help by either updating the wiki or posting a solution ?  Thanks in advance :).
Logged

centaur

  • Approved Newbie
  • *
  • Karma: 1
  • Offline Offline
  • Posts: 16
Re: flex issues
« Reply #21 on: July 11, 2007, 03:24:23 PM »

I ran into the same problem on OpenBSD, touch  src/Scanner.cpp  as a workaround.
Logged

rpog

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 2
Re: flex issues
« Reply #22 on: July 11, 2007, 10:18:10 PM »

centaur, thanks for the reply, indeed that's all it took to go away from the lex error.
i guess i should have read the thread a little better, the same solution was suggested but in a different way :).

however now to solve the
Code: [Select]
collect2: ld returned 1 exit status error is another matter to another thread, i guess.
Logged

lionel77

  • Provider of Mac builds, Forum Mod
  • Hero Member
  • *****
  • Karma: 4
  • Offline Offline
  • Posts: 1107
  • Mac OS X 10.4 (Power Mac G5)
Re: flex issues
« Reply #23 on: August 16, 2007, 07:52:30 AM »

So I am sorta back from the dead... hopefully. ;)


When I run autogen.sh with current amule cvs, I get:
Code: [Select]
Running automake --foreign -a -c -f
configure.in:58: automake requires `AM_PROG_LEX', not `AC_PROG_LEX'
Makefile.am:1: SUBDIRS was already defined in condition TRUE, which implies condition COMPILE_NLS_TRUE

  SUBDIRS (User, where = Makefile.am:1) +=
  {
    TRUE => m4 docs src unittests
  }
Makefile.am:12: dist_icon_DATA was already defined in condition TRUE, which implies condition MONOLITHIC_TRUE

  dist_icon_DATA (User, where = Makefile.am:12) +=
  {
    TRUE =>
  }
Makefile.am:15: dist_util_DATA was already defined in condition TRUE, which implies condition MONOLITHIC_TRUE
...

I am using flex 2.5.33 installed via darwin ports.

I haven't compiled aMule in 6 months and I had a system hard drive die on me, so I had to reinstall the 3rd party libraries, etc. In other words, I am not in very good shape to pinpoint what might cause this error.


UPDATE:
I just installed a new version of automake and that seemed to have fixed the above issue.
« Last Edit: August 16, 2007, 08:25:42 AM by lionel77 »
Logged
Current aMule CVS builds for OS X can be found here.

ecforum

  • Full Member
  • ***
  • Karma: 1
  • Offline Offline
  • Posts: 105
Re: flex issues
« Reply #24 on: August 25, 2007, 05:31:50 PM »

I don't understand your technical discussion.
I just want to give you the information that on my slackware 11 with flex 2.5.4 which doesn't support --header-file flag I have the error when compiling aMule-CVS-20070825.
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: flex issues
« Reply #25 on: August 25, 2007, 05:45:01 PM »

Hi ecforum,

Could you please upgrade flex to 2.5.33, your version is more than 10 years old.
Logged

ecforum

  • Full Member
  • ***
  • Karma: 1
  • Offline Offline
  • Posts: 105
Re: flex issues
« Reply #26 on: August 25, 2007, 09:18:26 PM »

Hello Wuischke,

Oh, excuse me : I read (dream...) 2.5.3.3 instead of 2.5.33....

EDIT :
I upgraded but it was not compiling.
I upgraded and it compiled ! (I had to clean all)

Thanks for your help !
« Last Edit: August 25, 2007, 10:01:33 PM by ecforum »
Logged
Pages: 1 [2]